# Uses of Interface
org.opensaml.soap.soap11.Envelope

Packages that use Envelope
Package
Description
org.opensaml.soap.client.http
SOAP HTTP client functionality.
org.opensaml.soap.client.soap11.decoder.http.impl
SOAP 1.1 client message decoding support implementations.
org.opensaml.soap.client.soap11.encoder.http.impl
SOAP 1.1 client message encoding support implementations.
org.opensaml.soap.messaging
SOAP messaging support components.
org.opensaml.soap.messaging.context
Context classes in support of SOAP messaging.
org.opensaml.soap.soap11.encoder.http.impl
SOAP over HTTP 1.1 message encoder and handlers.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of Envelope in org.opensaml.soap.client.http

Methods in org.opensaml.soap.client.http that return Envelope
Modifier and Type
Method
Description
`protected Envelope`
HttpSOAPClient.`unmarshallResponse(InputStream responseStream)`
Deprecated.
Unmarshall the incoming response from a POST request.
Methods in org.opensaml.soap.client.http with parameters of type Envelope
Modifier and Type
Method
Description
`protected org.apache.hc.client5.http.classic.methods.HttpPost`
HttpSOAPClient.`createPostMethod(String endpoint, HttpSOAPRequestParameters requestParams, Envelope message)`
Deprecated.
Create the post method used to send the SOAP request.
`protected org.apache.hc.core5.http.HttpEntity`
HttpSOAPClient.`createRequestEntity(Envelope message, Charset charset)`
Deprecated.
Create the request entity that makes up the POST message body.

## Uses of Envelope in org.opensaml.soap.client.soap11.decoder.http.impl

Methods in org.opensaml.soap.client.soap11.decoder.http.impl with parameters of type Envelope
Modifier and Type
Method
Description
`protected Fault`
HttpClientResponseSOAP11Decoder.`getFault(Envelope soapMessage)`
Return the Fault element from the SOAP message, if any.

## Uses of Envelope in org.opensaml.soap.client.soap11.encoder.http.impl

Fields in org.opensaml.soap.client.soap11.encoder.http.impl with type parameters of type Envelope
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Envelope>`
HttpClientRequestSOAP11Encoder.`envBuilder`
SOAP Envelope builder.
Methods in org.opensaml.soap.client.soap11.encoder.http.impl that return Envelope
Modifier and Type
Method
Description
`protected Envelope`
HttpClientRequestSOAP11Encoder.`getSOAPEnvelope()`
Retrieve the previously stored SOAP envelope from the message context.
Methods in org.opensaml.soap.client.soap11.encoder.http.impl with parameters of type Envelope
Modifier and Type
Method
Description
`protected org.apache.hc.core5.http.HttpEntity`
HttpClientRequestSOAP11Encoder.`createRequestEntity(Envelope message, Charset charset)`
Create the request entity that makes up the POST message body.
`protected void`
HttpClientRequestSOAP11Encoder.`storeSOAPEnvelope(Envelope envelope)`
Store the constructed SOAP envelope in the message context for later encoding.

## Uses of Envelope in org.opensaml.soap.messaging

Methods in org.opensaml.soap.messaging with parameters of type Envelope
Modifier and Type
Method
Description
`static void`
SOAPMessagingSupport.`addSOAP11HeaderBlock(Envelope envelope, XMLObject headerBlock)`
Add a header to the SOAP 1.1 Envelope.
`static List<XMLObject>`
SOAPMessagingSupport.`getSOAP11HeaderBlock(Envelope envelope, QName headerName, Set<String> targetNodes, boolean isFinalDestination)`
Get a header block from the SOAP 1.1 envelope.

## Uses of Envelope in org.opensaml.soap.messaging.context

Fields in org.opensaml.soap.messaging.context declared as Envelope
Modifier and Type
Field
Description
`private Envelope`
SOAP11Context.`envelope`
The SAML protocol in use.
Methods in org.opensaml.soap.messaging.context that return Envelope
Modifier and Type
Method
Description
`Envelope`
SOAP11Context.`getEnvelope()`
Gets the current SOAP 1.1 Envelope.
Methods in org.opensaml.soap.messaging.context with parameters of type Envelope
Modifier and Type
Method
Description
`SOAP11Context`
SOAP11Context.`setEnvelope(Envelope newEnvelope)`
Sets the current SOAP 1.1 Envelope.

## Uses of Envelope in org.opensaml.soap.soap11.encoder.http.impl

Fields in org.opensaml.soap.soap11.encoder.http.impl with type parameters of type Envelope
Modifier and Type
Field
Description
`private SOAPObjectBuilder<Envelope>`
HTTPSOAP11Encoder.`envBuilder`
SOAP Envelope builder.
Methods in org.opensaml.soap.soap11.encoder.http.impl that return Envelope
Modifier and Type
Method
Description
`protected Envelope`
HTTPSOAP11Encoder.`getSOAPEnvelope()`
Retrieve the previously stored SOAP envelope from the message context.
Methods in org.opensaml.soap.soap11.encoder.http.impl with parameters of type Envelope
Modifier and Type
Method
Description
`protected void`
HTTPSOAP11Encoder.`storeSOAPEnvelope(Envelope envelope)`
Store the constructed SOAP envelope in the message context for later encoding.

## Uses of Envelope in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement Envelope
Modifier and Type
Class
Description
`class`
`EnvelopeImpl`
Concrete implementation of `Envelope`.
Methods in org.opensaml.soap.soap11.impl that return Envelope
Modifier and Type
Method
Description
`Envelope`
EnvelopeBuilder.`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Envelope" as the element local name.
`Envelope`
EnvelopeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.